Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class JdbcDataSourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.JdbcDataSourceBean

    public class JdbcDataSourceBean

extends ResourceBean

Version:
  $Id: JdbcDataSourceBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`JdbcDataSourceBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler referenceHandler)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`java.lang.String` | `getConnectionPassword()`
`java.lang.String` | `getConnectionUrl()`
`java.lang.String` | `getConnectionUsername()`
`java.lang.String` | `getDriverClass()`
`java.lang.String` | `getTimezone()`
`void` | `setConnectionPassword(java.lang.String password)`
`void` | `setConnectionUrl(java.lang.String url)`
`void` | `setConnectionUsername(java.lang.String username)`
`void` | `setDriverClass(java.lang.String driverClass)`
`void` | `setTimezone(java.lang.String timezone)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcDataSourceBean

    public JdbcDataSourceBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler referenceHandler)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### getDriverClass

    public java.lang.String getDriverClass()

### setDriverClass

    public void setDriverClass(java.lang.String driverClass)

### getConnectionUrl

    public java.lang.String getConnectionUrl()

### setConnectionUrl

    public void setConnectionUrl(java.lang.String url)

### getConnectionUsername

    public java.lang.String getConnectionUsername()

### setConnectionUsername

    public void setConnectionUsername(java.lang.String username)

### getConnectionPassword

    public java.lang.String getConnectionPassword()

### setConnectionPassword

    public void setConnectionPassword(java.lang.String password)

### getTimezone

    public java.lang.String getTimezone()

### setTimezone

    public void setTimezone(java.lang.String timezone)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.